#![crate_name = "aidl_vfs"]
#![crate_type = "rlib"]
#![no_implicit_prelude]
extern crate aidl_core;

use aidl_core::{Vector, Version, String};

pub const VERSION: Version = Version {
    major: 1,
    minor: 0,
    patch: 0,
};

pub type Path = String;

pub struct FFile {
    pub name: String
}

pub trait File {
    fn fields(&self) -> &FFile;
    fn fields_mut(&mut self) -> &mut FFile;
    fn into_fields(self) -> FFile where Self: Sized;

    fn new(path: Path) -> Self;
}
