pub mod freeform;
pub mod true_nes;
pub mod true_snes;

use self::{freeform::FreeFormColor, true_nes::TrueNesColor, true_snes::TrueSnesColor};

pub struct NesColor(TrueNesColor);
pub struct SnesColor(TrueSnesColor);
pub struct FFColor(FreeFormColor);

// TODO Remake sprite data enum AFTER all sprite types are made
pub enum SpriteData {
    NesSprite([[NesColor; 8]; 8]),
    SnesSprite([[SnesColor; 8]; 8]),
    FFSprite([[FFColor; 8]; 8]),
}
pub struct Sprite {
    pub sprite_data: SpriteData,
}
