#![crate_name = "aidl_core"]
#![crate_type = "rlib"]
#![no_implicit_prelude]

extern crate core as rust_core;
extern crate alloc as rust_alloc;

pub use self::rust_core::{option::Option, result::Result};
pub use self::rust_alloc::{vec::Vec as Vector, string::String};

pub type Nothing = ();

pub type Byte = u8;
pub type Int = u32;

#[derive(Debug, Clone, Copy)]
pub struct Version {
    pub major: Byte,
    pub minor: Byte,
    pub patch: Byte
}
